<?php
ob_start();

$file = file("data/votes/pollcfg.dat");
$tmp = array();
for($i = 0; $i < sizeof($file); $i++)
{
$data = explode("|::|", $file[$i]);
$tmp[] = $data[0];
}

$name=$tmp[array_rand($tmp)];
$p_days="1";
if(!$inc){
$inc=true;
}
if(isset($name)){
$dat=file("data/votes/pollcfg.dat");
for($i=0;$i<sizeof($dat);$i++){
$data=explode("|::|",$dat[$i]);
if($name==$data[0]){
$ex=true;
$p_q=$data[1];
for($i=2;$i<sizeof($data)-1;$i++){
$q[$i-2]=$data[$i];
}
}
}
if($ex){
print "
<table width=\"100%\" align=center cellpadding=2 cellspacing=0 border=0><tr><td align=\"center\">
<form name=$name action=\"add.html\" method=\"POST\">
<div align=\"center\"><b>$p_q</b></div><br>";
if(isset($_COOKIE['epoll-'.$name])){
print "<div align=center style=\"color:red;font-size:8pt;font-family:verdana;\">Вы уже проголосовали в этом опросе</div>";
}
for($i=0;$i<sizeof($q);$i++){
$il=$i+1;
if(!isset($_COOKIE['epoll-'.$name])){
print "<div align=left><input type=radio name=\"vote\" value=\"".$il."\"> ".$q[$i]."</div>";
}else{
print "<div align=left><input type=radio name=\"vote\" disabled>".$q[$i]."</div>";
}
}
for($i=0;$i<sizeof($q);$i++){
$q[$i]="";
}
$q="";
?>
<input type="hidden" name="name" value="<?php print$name;?>">
<input type="hidden" name="days" value="<?php print$p_days;?>">
<input type="submit" <?php if(isset($_COOKIE['epoll-'.$name])){print"disabled";}?> value="Голосовать">
</form>
</td></tr>
<tr><td align="center" valign="top">
<form name="<?php print$name;?>" action="add.html" method="POST">
<input type="hidden" name="name" value="<?php print$name;?>">
<input type="submit" value="Результаты">
</form>
</td></tr>
</table>
<?php
}else{
print "<table align=center width=\"100%\" cellpadding=0 cellspacing=0 border=0>
<tr><td>
<table width=\"100%\" align=center cellpadding=2 cellspacing=0 border=0>
<tr><td>
<div align=\"center\">Опрос <b>$name</b> не найден!</b></div>
</td></tr></table>
</td></tr></table>";
}
}else{
print "<table align=center width=\"100%\" cellpadding=0 cellspacing=0 border=0 ><tr><td>
<table width=\"100%\" align=center cellpadding=2 cellspacing=0 border=0><tr><td>
<div align=\"center\">Вы не задали имя опроса</b></div>
</td></tr></table>
</td></tr></table>";
}
$form_votes = ob_get_contents();
ob_end_clean();
?>
 